'==========================================================================
'Copyright (c) 1991, Sunoptech Corporation, All Rights Reserved
'
'       Program Name: ContACT - SunOptech Contact List Program
'    Program Version: 1.00
'Program Description: This program provides the user interface for the
'                   :   ACT! Contact List.
'             Author: Chris Barlow
'       Date Created: 10/12/92
'
'      Revision History
'   Who     Date    Comment
'
'
'Notes:
'
'===========================================================================
Global Const Prognme = "ContACT"    'enter program name here
Global Const Progver = "1.10"   'enter program version here
Global DBNme


' ErrNum (LinkError)
Global Const WRONG_FORMAT = 1
Global Const REQUEST_WITHOUT_INIT = 2
Global Const DDE_WITHOUT_INIT = 3
Global Const ADVISE_WITHOUT_INIT = 4
Global Const POKE_WITHOUT_INIT = 5
Global Const DDE_SERVER_CLOSED = 6
Global Const TOO_MANY_LINKS = 7
Global Const STRING_TOO_LONG = 8
Global Const INVALID_CONTROL_ARRAY_REFERENCE = 9
Global Const UNEXPECTED_DDE = 10
Global Const OUT_OF_MEMORY = 11
Global Const SERVER_ATTEMPTED_CLIENT_OPERATION = 12

' GetData, GetFormat, SetData (Clipboard)
Global Const CF_LINK = &HBF00
Global Const CF_TEXT = 1
Global Const CF_BITMAP = 2
Global Const CF_METAFILE = 3
Global Const CF_DIB = 8

' WinHelp command constants
    
Global Const HELP_CONTEXT = 1
Global Const HELP_QUIT = 2
Global Const HELP_INDEX = 3
Global Const HELP_HELPONHELP = 4
Global Const HELP_KEY = &H101

'-----------------------------------
'Common Dialog Control
'-----------------------------------
'Action Property
Global Const DLG_FILE_OPEN = 1
Global Const DLG_FILE_SAVE = 2
Global Const DLG_COLOR = 3
Global Const DLG_FONT = 4
Global Const DLG_PRINT = 5
Global Const DLG_HELP = 6

'File Open/Save Dialog Flags
Global Const OFN_READONLY = &H1&
Global Const OFN_OVERWRITEPROMPT = &H2&
Global Const OFN_HIDEREADONLY = &H4&
Global Const OFN_NOCHANGEDIR = &H8&
Global Const OFN_SHOWHELP = &H10&
Global Const OFN_NOVALIDATE = &H100&
Global Const OFN_ALLOWMULTISELECT = &H200&
Global Const OFN_EXTENTIONDIFFERENT = &H400&
Global Const OFN_PATHMUSTEXIST = &H800&
Global Const OFN_FILEMUSTEXIST = &H1000&
Global Const OFN_CREATEPROMPT = &H2000&
Global Const OFN_SHAREAWARE = &H4000&
Global Const OFN_NOREADONLYRETURN = &H8000&

'These work with the INI file:
Declare Function GetPrivateProfileInt Lib "Kernel" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal nDefault As Integer, ByVal lpFileName As String) As Integer
Declare Function GetPrivateProfileString Lib "Kernel" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Integer, ByVal lpFileName As String) As Integer
Declare Function GetINISections Lib "Kernel" Alias "GetPrivateProfileString" (ByVal lpAppName$, ByVal lpKeynum&, ByVal lpDef&, ByVal lpBuffer$, ByVal nSize%, ByVal lpFileName$) As Integer
Declare Function WritePrivateProfileString Lib "Kernel" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal lpString As String, ByVal lplFileName As String) As Integer

'======================================================================='
'                                                                       '
'                           QEVBDBF.TXT                                 '
'                                                                       '
'                  Q+E Visual Basic Custom Controls                     '
'                            for dBASE                                  '
'                      Global Constants File                            '
'                                                                       '
'======================================================================='

'======================================================================='
'         Copyright: 1992 Pioneer Software Systems, Inc.                '
'                                                                       '
'         This software contains confidential and proprietary           '
'           information of Pioneer Software Systems, Inc.               '
'======================================================================='

'==============='
'  Error Codes  '
'==============='

Global Const QE_ERROR_CODES = 31000
Global Const QE_FUNCTION_ABORTED = 31001
Global Const QE_RECORD_NOT_FOUND = 31002
Global Const QE_DB_ERROR = 31003
Global Const QE_RECORD_LOCKED = 31004
Global Const QE_RECORD_CHANGED = 31005

'======================'
'  Record State Codes  '
'======================'

Global Const RECSTATE_NO_RECORD = 0
Global Const RECSTATE_FETCHING = 1
Global Const RECSTATE_UNCHANGED = 2
Global Const RECSTATE_CHANGED = 3
Global Const RECSTATE_NEW_UNCHANGED = 4
Global Const RECSTATE_NEW_CHANGED = 5
Global Const RECSTATE_QBE_UNCHANGED = 6
Global Const RECSTATE_QBE_CHANGED = 7
Global Const RECSTATE_COPYING = 8
Global Const RECSTATE_ENTERING_QBE = 9
Global Const RECSTATE_CLEARING_QBE = 10
Global Const RECSTATE_CLEARING_NEW = 11

'=================='
'  Function Codes  '
'=================='

Global Const F_DOQUERY = 1
Global Const F_ENDQUERY = 2
Global Const F_NEXT = 3
Global Const F_PREVIOUS = 4
Global Const F_RANDOM = 5
Global Const F_NEW = 6
Global Const F_ENTERQBE = 7
Global Const F_CLEARQBE = 8
Global Const F_INSERT = 9
Global Const F_UPDATE = 10
Global Const F_DELETE = 11
Global Const F_LOCK = 12
Global Const F_TRANBEGIN = 13
Global Const F_TRANCOMMIT = 14
Global Const F_TRANROLLBACK = 15
Global Const F_EXECSQL = 16

'========================================================'
' The following keywords can be used as the controltype  '
' in Visual Basic's "If...TypeOf" statement to identify  '
' the exact type of a QEVBDBF control.                   '
'                                                        '
'       QueryClass                                       '
'       QGrid                                            '
'       DB_CommandClass                                  '
'       DB_HScrollClass                                  '
'       DB_VScrollClass                                  '
'       DB_TextClass                                     '
'       DB_ComboClass                                    '
'       DB_ListClass                                     '
'       DB_CheckClass                                    '
'       DB_RadioGroupClass                               '
'       DB_PictureClass                                  '
'                                                        '
' ====================================================== '

'====================='
'  Declare Functions  '
'====================='

Declare Function fDoQuery Lib "qevbdbf.vbx" (queryCtl As Control) As Integer
Declare Function fEndQuery Lib "qevbdbf.vbx" (queryCtl As Control) As Integer
Declare Function fNext Lib "qevbdbf.vbx" (queryCtl As Control) As Integer
Declare Function fPrevious Lib "qevbdbf.vbx" (queryCtl As Control) As Integer
Declare Function fRandom Lib "qevbdbf.vbx" (queryCtl As Control, ByVal RecNumber&) As Integer
Declare Function fNew Lib "qevbdbf.vbx" (queryCtl As Control, ByVal rowIndex%, ByVal before%) As Integer
Declare Function fEnterQBE Lib "qevbdbf.vbx" (queryCtl As Control) As Integer
Declare Function fClearQBE Lib "qevbdbf.vbx" (queryCtl As Control) As Integer
Declare Function fInsert Lib "qevbdbf.vbx" (queryCtl As Control, ByVal rowIndex%) As Integer
Declare Function fUpdate Lib "qevbdbf.vbx" (queryCtl As Control, ByVal rowIndex%) As Integer
Declare Function fDelete Lib "qevbdbf.vbx" (queryCtl As Control, ByVal rowIndex%) As Integer
Declare Function fLock Lib "qevbdbf.vbx" (queryCtl As Control, ByVal rowIndex%) As Integer
Declare Function fTranBegin Lib "qevbdbf.vbx" (queryCtl As Control) As Integer
Declare Function fTranCommit Lib "qevbdbf.vbx" (queryCtl As Control) As Integer
Declare Function fTranRollback Lib "qevbdbf.vbx" (queryCtl As Control) As Integer
Declare Function fExecSQL Lib "qevbdbf.vbx" (queryCtl As Control, ByVal SQLStmt$) As Integer

'Program variables
Global LOOKUP As String
Global ORDERBY As String
Global FLDINC As String
Global TableDef As String
Global TB As String
Global CRLF As String
Global NAVgoing As Integer
Global WINSTATE As Integer

